<?php

require_once("include.php");

//$is_front = true;
$is_front = false;

if (isset($_GET["f"]) || isset($_POST["f"])) {
	$is_front = false;
}

$users = get_all_users();

if ( count($users) > 0 ) {
	unset($_GET["ft"]);
	
	global $settings;
	if ( ! is_admin() && 
		(!isset($settings['AllowRegistration']) || 
			$settings['AllowRegistration'] == 0 || 
			$settings['AllowRegistration'] == "" )
		) {
		die("You need to be logged in to access this page");
		exit;
	}
}


global $settings;
$email = (isset($_POST['email'])) ? $_POST['email'] : '';
$username = (isset($_POST['username'])) ? $_POST['username'] : '';
$pass1 = (isset($_POST['pass1'])) ? $_POST['pass1'] : '';
$pass2 = (isset($_POST['pass2'])) ? $_POST['pass2'] : '';

$msg = "";

if ( strlen($email) > 0 && strlen($username) > 0 && 
		strlen($pass1) > 0 && $pass1 == $pass2 ) {

  if ( add_new_user($username, $pass1, $email, false, $is_front, $error) ) {

    $msg = "The account $username was added successfully. <a href='admin.php'>Continue</a>";

	$users = get_all_users();

	// if this is the fist user who has registered, validate them automatically
    if ( $settings['RequireRegAuth'] && count($users) > 1 ) {
		$msg .= "<br/><br/>You should receive an email verifying your account. Follow the instructions in that email to continue the authentication process";
	}

  } 
  else {
    $msg = "You account could not be added. " . $error;
  }
}



if ($is_front) {
	front_header("New Account");
} 
else {
	bm_header();
}

?>

<div class="wrap">
<div class="signup_box">
<div class="page_name">
   <h2>New Account</h2>
</div>



<?php

	if ($msg != "") {

		print("<p class=\"error\">" . $msg . "</p>");

	} else {

		if (isset($_GET["msg"])) {

			print("<p class=\"error\">You are required to register in order to download this file.  Please create an account below.</p>");

		}

		if (isset($_GET["ft"])) {

			print("<p class=\"error\">This looks like your first time using Broadcast Machine.  You should create a new user account before continuing.</p>");

		}

?>

<form action="newuser.php" method="post">

<?php

	if ($is_front) {

?>

	<input type="hidden" class="hidden" name="f" value="1"/>

<?php

	}

?>

<fieldset>
<div class="login_field">
       <div class="login_label">Email: </div><br /><input type="text" size="17" name="email" value="<?php echo htmlspecialchars($email); ?>"  />
</div>
</fieldset>

<fieldset>
<div class="login_field">
	<div class="login_label">Name / Alias: </div><br /><input type="text" size="17" name="username" value="<?php echo htmlspecialchars($username); ?>"  />
</div>

</fieldset>

<fieldset>
<div class="login_field">
       <div class="login_label">Password: </div><br /><input type="password" name="pass1" size="10" value="" />
</div>
</fieldset>

<fieldset>
<div class="login_field">
       <div class="login_label">Password Again: </div><br /><input type="password" name="pass2" size="10" value="" />
</div>
</fieldset>

<div class="spacer">&nbsp;</div>
<p class="submit">

<input style="border: 1px solid black; font-size: 16px;" type="submit" value="Register >>" border=0 alt="&gt;&gt; Continue" />

</p>

<?php
	}
?>

</div>
</form>

<?php
	if ($is_front) {
		front_footer();
	} 
	else {
		bm_footer();
	}

?>

